/* eslint-disable no-magic-numbers */
import { reactionsFixture } from '@/models/fixtures/reactionFixture';
import { findClosestReactionPoint } from './findClosestReactionPoint';

describe('findClosestReactionPoint', () => {
  const reaction = {
    ...reactionsFixture[0],
    lines: [{ start: { x: 0, y: 0 }, end: { x: 3, y: 4 }, type: 'START' }],
  };

  const validPoint = { x: 1, y: 1 };
  const invalidPoint = {
    x: 1115,
    y: 2225,
  };
  const searchDistance = '10';
  const maxZoom = 10;
  const zoom = 5;

  it('should return the matching line segment if a point within the search distance is found', () => {
    const result = findClosestReactionPoint({
      reaction,
      searchDistance,
      maxZoom,
      zoom,
      point: validPoint,
    });

    expect(result).toEqual(reaction.lines[0]);
  });

  it('should return undefined if no point within the search distance is found', () => {
    const result = findClosestReactionPoint({
      reaction,
      searchDistance,
      maxZoom,
      zoom,
      point: invalidPoint,
    });

    expect(result).toBeUndefined();
  });
});
